Package twisted :: Package im :: Module interfaces :: Class IPerson

[show private | hide private]
[frames | no frames]

## Class IPerson

    Interface --+
                |
               IPerson

Method Summary
string (XXX: How about a scalar?) | ``getIdleTime`(self)`
| ``getStatus`(self)` What is my on-line status?
boolean | ``isOnline`(self)` Am I online right now?
| ``sendMessage`(self, text, metadata)` Send a message to this person.

Method Details

### getIdleTime(self)

  Returns:
    string (XXX: How about a scalar?)

### getStatus(self)

What is my on-line status?

  Returns:
    `locals.StatusEnum`

### isOnline(self)

Am I online right now?

  Returns:
    boolean

### sendMessage(self, text, metadata=None)

Send a message to this person.

  Parameters:
    `text`
    (type=string)
    `metadata`
    (type=dict)

Generated by Epydoc 1.1 on Sat Feb 15 21:17:50 2003 | http://epydoc.sf.net